Macmillan Education

Support articles
The information you need at your fingertips

Is the application compatible with macOS Catalina (10.15)?

Please note that the application for this product is currently not compatible with macOS Catalina (10.15). We are working on this.

Did you find this article helpful?

YesNo